.nav-links ul li a{
  color: black !important;
}

.dropbtn {
    color: black !important;
}

nav .fa {
  color: black;
}


.news-title{
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 130px;
    padding-bottom: 50px;
}
.news-title h1{
    font-size: 36px;
    font-weight: 600;
}
.line1{
    margin: auto;
    width: 80%;
    height: 2px;
    background-color: #f44336;
    margin-bottom: 60px;
}




a{
    text-decoration: none;
    color:#fff;
}
.news-container{
    width: 80%;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.card{
    min-height: 300px;
    display: flex;
    flex-direction: column;
    background-color: rgb(166, 162, 162);
    box-shadow: 0 15px 25px rgba(0,0,0,0.2);
}

.image-box{
    height: 25rem;
    position: relative;
    z-index: 1;
    overflow: hidden;
}

.background-image{
    position:absolute;
    object-fit: cover;
    background-position: center;
    width: 100%;
    height: 100%;
    background-size: cover;
    top: 0;
    left: 0;
    z-index: -1;
    transition: transform 5s;
}   



.public-details{
    height: 100%;
    width: 100%;
    position: absolute;
    font-weight: bold;
    background: rgba(207, 70, 12, 0.8);
    font-size: 1.4rem;
    top: 0;
    left: 0;
    padding: 2rem;
    color: #fff;
    transition: all 0.4s;
}

.public-details i{
    margin-right: 1rem;
}

.author{
    display: inline-block;
    margin-bottom: .5rem;
    transition: all .3s;
}
.author:hover{
    color: rgba(255,255,255,.75);
}
.date{
    display: block;
}

.post-box{
    background-color: #fff;
    padding: 2rem 3rem;
    position: relative;
}

.title{
    font-size: 2rem;
    line-height: 1;
}

.subtitle{
    font-size: 1.2rem;
    color: #a2a2a2;
    text-transform: uppercase;
    margin: 1.5rem 0;
    font-weight: 400;
}

.description{
    position: relative;
}
.description::first-letter{
    margin-left: 1rem;
}
.description::before{
    content: '';
    top: 0;
    left: 0;
    width: .5rem;
    height: 1.8rem;
    position: absolute;
    background: rgba(207, 70, 12, 0.8);
    border-radius: .5rem;
}

@media screen and (min-width:600px){
    .card{
        flex-direction: row;
    }
    .image-box{
        flex-basis: 40%;
        height: unset;
    }
    .post-box{
        flex-basis: 60%;
    }
    .post-box::before{
        content: '';
        position: absolute;
        width: 3rem;
        height: 100%;
        top: 0;
        left: -1.5rem;
        background-color: #fff;
        z-index: 10;
        transform: skewX(-5deg);
    }
     .public-details{
        padding: 1rem;
        transform: translateX(-100%);
        transition: transform 0.3s;
    } 
    .card:hover .public-details{
        transform: translateX(0);
    }
    .author{
        transform: translateY(-3rem);
        opacity: 0;
        font-size: 1rem;
        transition-delay: 0.4s;
    }
    .date{
        transform: translateY(3rem);
        opacity: 0;
        transition: all 0.4s;
        font-size: 1rem;
    }
    .card:hover .author,
    .card:hover .date{
        transform: translateY(0);
        opacity: 1;
    }
}

@media screen  and (max-width:470px){
    .title{
        font-size: 1.1rem;
        word-wrap: break-word;
    }
}

@media screen and (max-width:768px){
    .news-container {
        padding: 0 10px;
    }
    .nav-links ul li a{
      color: white !important;
    }

    .nav-links ul li span{
      color: white !important;
    }

    .card:hover .public-details{
        transform: translateX(-100%);
    }

    .news-title{
        width: 80%;
        text-align: center;
    }
    .line1{
        width: 80%;
    }
}


@media screen and (max-width:450px){
     .public-details{
        display: none;
    }
}
    

    




.pagination{
    text-align: center;
    user-select: none;
    margin: 30px 30px 60px;
}

.pagination li{
    display: inline-block;
    margin: 5px;
    box-shadow: 0 15px 35px rgba(0,0,0,0.2);
}
.previous-page,
.next-page{
    background: #f44336;
    width: 80px;
    border-radius: 45px;
    cursor: pointer;
}

.current-page,
.dots{
    background: #ccc;
    width: 45px;
     cursor: pointer;
     border-radius: 50%;
}
.page-item{
    transition: all 0.3s ease;
}
.page-item:hover{
    background-color: #f44336;
}

.page-link{
    color: #fff;
    text-decoration: none;
    font-size: 1.2em;
    line-height: 45px;
}
  
.active{
    background: #f44336;
}

.disable{
    background: #ccc;
}